﻿<?php

class Config
{
    const TV_FAVORITES_SUPPORTED   		= true;
    const ALL_CHANNEL_GROUP_CAPTION     = '%tr%all_channel';
    const ALL_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://www/lib/logo/all.png';
    const FAV_CHANNEL_GROUP_CAPTION     = '%tr%tv_fav';
    const FAV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://www/lib/logo/fav.png';
	const CHANNEL_LIST_URL      		=  '/www/lib/channel_list.xml';  
    const USE_M3U_FILE 					= true;
    const CHANNEL_SORT_FUNC_CB 			= 'Config::sort_channels_cb';

    public static function sort_channels_cb($a, $b)
    {
        return strnatcasecmp($a->get_number(), $b->get_number());
    }
		public static function background()
    {
		$bg_path = DuneSystem::$properties['data_dir_path'].'/bg_path';
		if (file_exists($bg_path))
			$b_ground = file_get_contents($bg_path);
		else
			$b_ground = 'yes';
		if ($b_ground == 'no')
		$background = 'gui_skin://images/bg.jpg';
		else{
		$q = rand(2, 87);
		$url = "http://wallpaperscraft.ru/catalog/textures/1920x1080/page$q";
		$ch = curl_init();
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT,    10);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION,    1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER,    true);
        curl_setopt($ch, CURLOPT_TIMEOUT,           40);
        curl_setopt($ch, CURLOPT_USERAGENT,         "Mozilla/5.0 (Windows NT 5.1; rv:7.0.1) Gecko/20100101 Firefox/7.0.1");//'DuneHD/1.0');
		curl_setopt($ch, CURLOPT_ENCODING,          1);
        curl_setopt($ch, CURLOPT_URL,               $url);
        if (isset($opts))
        {
            foreach ($opts as $k => $v)
            curl_setopt($ch, $k, $v);
        }
        $content = curl_exec($ch);
        $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        if($content === false)
        {
            $err_msg = "HTTP error: $http_code (" . curl_error($ch) . ')';
            hd_print($err_msg);
            return '';
        }

        if ($http_code != 200)
        {
            $err_msg = "HTTP request failed ($http_code)";
            hd_print($err_msg);
            return '';
        }
        curl_close($ch);
		preg_match_all('/<a href="\/\/wallpaperscraft.ru\/download\/.*_(.*?)" title=/', $content, $matches);
		$qq = rand(0, 14);
		$img = $matches[1][$qq];
		$background = "http://wallpaperscraft.ru/image/$img.jpg";
		}
	return $background;
	}
    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
    	return array(
			
			array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 10,
                    ViewParams::paint_details => true,
					ViewParams::item_detailed_info_auto_line_break => true,
					ViewParams::background_path => self::background(),
					ViewParams::optimize_full_screen_background => true,
					ViewParams::background_order => 'before_all',
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
    		    ViewItemParams::item_paint_icon => true,
    		    ViewItemParams::item_layout => HALIGN_LEFT,
    		    ViewItemParams::icon_valign => VALIGN_CENTER,
    		    ViewItemParams::icon_dx => 0,
    		    ViewItemParams::icon_dy => -5,
				ViewItemParams::icon_width => 75,
				ViewItemParams::icon_height => 55,
    		    ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
    		    ViewItemParams::item_caption_width => 1100,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
            array
            (
                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 3,
					ViewParams::paint_details => true,
					// ViewParams::paint_path_box => false,
					// ViewParams::paint_scrollbar => false,
					// ViewParams::orientation => HORIZONTAL,
					// ViewParams::cycle_mode_enabled => true,
					//ViewParams::paint_icon_badge_box => true,
					ViewParams::icon_selection_box_width => 200,
					ViewParams::icon_selection_box_height => 200,
					ViewParams::item_detailed_info_auto_line_break => true,
					ViewParams::background_path => self::background(),
					ViewParams::optimize_full_screen_background => true,
					ViewParams::background_order => 'before_all',
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 0,
                    ViewItemParams::icon_dy => 0,
					ViewItemParams::icon_width => 200,
					ViewItemParams::icon_height => 200,
					//ViewItemParams::icon_sel_scale_factor  => 1.1,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_path => 'gui_skin://small_icons/movie.aai'
                ),
                
                PluginRegularFolderView::not_loaded_view_item_params => array (
					ViewItemParams::icon_path => 'plugin_file://icons/template.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                    ViewItemParams::item_paint_caption_within_icon => true,
                    ViewItemParams::item_caption_within_icon_color => 'white',
				),
            )
        );
    }
}

?>
